org.apache.lucene.index

## Class BaseStoredFieldsFormatTestCase

- java.lang.Object
- - org.junit.Assert
  - - org.apache.lucene.util.LuceneTestCase
    - - org.apache.lucene.index.BaseIndexFileFormatTestCase
      - - org.apache.lucene.index.BaseStoredFieldsFormatTestCase

-     public abstract class BaseStoredFieldsFormatTestCase
      extends BaseIndexFileFormatTestCase

  Base class aiming at testing `stored fields formats`. To test a new format, all you need is to register a new `Codec` which uses it and extend this class and override `BaseIndexFileFormatTestCase.getCodec()`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.BaseIndexFileFormatTestCase

      `BaseIndexFileFormatTestCase.FileTrackingDirectoryWrapper, BaseIndexFileFormatTestCase.ReadBytesDirectoryWrapper`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase

      `LuceneTestCase.AwaitsFix, LuceneTestCase.BadApple, LuceneTestCase.Monster, LuceneTestCase.Nightly, LuceneTestCase.Slow, LuceneTestCase.SuppressCodecs, LuceneTestCase.SuppressFileSystems, LuceneTestCase.SuppressFsync, LuceneTestCase.SuppressReproduceLine, LuceneTestCase.SuppressSysoutChecks, LuceneTestCase.SuppressTempFileChecks, LuceneTestCase.ThrowingRunnable, LuceneTestCase.Weekly`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.util.LuceneTestCase

      `assertsAreEnabled, classRules, DEFAULT_LINE_DOCS_FILE, INFOSTREAM, JENKINS_LARGE_LINE_DOCS_FILE, LEAVE_TEMPORARY, MAYBE_CACHE_POLICY, RANDOM_MULTIPLIER, ruleChain, suiteFailureMarker, SYSPROP_AWAITSFIX, SYSPROP_BADAPPLES, SYSPROP_FAILFAST, SYSPROP_MAXFAILURES, SYSPROP_MONSTER, SYSPROP_NIGHTLY, SYSPROP_SLOW, SYSPROP_WEEKLY, TEST_ASSERTS_ENABLED, TEST_AWAITSFIX, TEST_BADAPPLES, TEST_CODEC, TEST_DIRECTORY, TEST_DOCVALUESFORMAT, TEST_LINE_DOCS_FILE, TEST_MONSTER, TEST_NIGHTLY, TEST_POSTINGSFORMAT, TEST_SLOW, TEST_THROTTLING, TEST_WEEKLY, VERBOSE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseStoredFieldsFormatTestCase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addRandomFields(Document d)` Add random fields to the provided document.
    `void` | `testBigDocuments()`
    `void` | `testBinaryFieldOffsetLength()`
    `void` | `testBulkMergeWithDeletes()`
    `void` | `testConcurrentReads()`
    `void` | `testEmptyDocs()`
    `void` | `testIndexedBit()`
    `void` | `testMergeFilterReader()`
    `void` | `testMismatchedFields()` mix up field numbers, merge, and check that data is correct
    `void` | `testNumericField()`
    `void` | `testRandomStoredFields()`
    `void` | `testRandomStoredFieldsWithIndexSort()`
    `void` | `testReadSkip()`
    `void` | `testStoredFieldsOrder()`
    `void` | `testWriteReadMerge()`

    - ### Methods inherited from class org.apache.lucene.index.BaseIndexFileFormatTestCase

      `applyCreatedVersionMajor, excludedExtensionsFromByteCounts, getCodec, getCreatedVersionMajor, maybeWrapWithMergingReader, mergeIsStable, setUp, shouldTestMergeInstance, tearDown, testCheckIntegrityReadsAllBytes, testMergeStability, testMultiClose, testRamBytesUsed, testRandomExceptions`

    - ### Methods inherited from class org.apache.lucene.util.LuceneTestCase

      `addVirusChecker, assertDeletedDocsEquals, assertDocsAndPositionsEnumEquals, assertDocsEnumEquals, assertDocsSkippingEquals, assertDocValuesEquals, assertDocValuesEquals, assertFieldInfosEquals, assertNormsEquals, assertPointsEquals, assertPositionsSkippingEquals, assertReaderEquals, assertReaderStatisticsEquals, assertStoredFieldEquals, assertStoredFieldsEquals, assertTermsEnumEquals, assertTermsEquals, assertTermsEquals, assertTermsStatisticsEquals, assertTermStatsEquals, assertTermVectorsEquals, asSet, assumeFalse, assumeNoException, assumeTrue, assumeWorkingMMapOnWindows, atLeast, atLeast, callStackContains, callStackContains, callStackContainsAnyOf, closeAfterSuite, closeAfterTest, collate, createTempDir, createTempDir, createTempFile, createTempFile, dumpArray, dumpIterator, ensureSaneIWCOnNightly, expectThrows, expectThrows, expectThrows, expectThrowsAnyOf, expectThrowsAnyOf, getBaseTempDirForTestClass, getDataInputStream, getDataPath, getOnlyLeafReader, getTestClass, getTestName, hasWorkingMMapOnWindows, isTestThread, localeForLanguageTag, maybeChangeLiveIndexWriterConfig, maybeWrapReader, newAlcoholicMergePolicy, newAlcoholicMergePolicy, newBytesRef, newBytesRef, newBytesRef, newBytesRef, newBytesRef, newBytesRef, newDirectory, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newIndexWriterConfig, newIOContext, newIOContext, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newMaybeVirusCheckingDirectory, newMaybeVirusCheckingFSDirectory, newMergePolicy, newMergePolicy, newMergePolicy, newMockDirectory, newMockDirectory, newMockDirectory, newMockFSDirectory, newMockFSDirectory, newSearcher, newSearcher, newSearcher, newSearcher, newStringField, newStringField, newStringField, newStringField, newTextField, newTextField, newTieredMergePolicy, newTieredMergePolicy, overrideDefaultQueryCache, overrideTestDefaultQueryCache, random, randomLocale, randomTimeZone, rarely, rarely, replaceMaxFailureRule, resetDefaultQueryCache, restoreCPUCoreCount, restoreIndexWriterMaxDocs, restoreSpins, runWithRestrictedPermissions, setIndexWriterMaxDocs, setupCPUCoreCount, setupSpins, slowFileExists, usually, usually, wrapReader`

    - ### Methods inherited from class org.junit.Assert

      `assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertThrows, assertThrows, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseStoredFieldsFormatTestCase

          public BaseStoredFieldsFormatTestCase()

  - ### Method Detail

    - #### addRandomFields

          protected void addRandomFields(Document d)

      Description copied from class: `BaseIndexFileFormatTestCase`
      Add random fields to the provided document.
      Specified by:
        `addRandomFields` in class `BaseIndexFileFormatTestCase`

    - #### testRandomStoredFields

          public void testRandomStoredFields()
                                      throws IOException

      Throws:
        `IOException`

    - #### testStoredFieldsOrder

          public void testStoredFieldsOrder()
                                     throws Throwable

      Throws:
        `Throwable`

    - #### testBinaryFieldOffsetLength

          public void testBinaryFieldOffsetLength()
                                           throws IOException

      Throws:
        `IOException`

    - #### testNumericField

          public void testNumericField()
                                throws Exception

      Throws:
        `Exception`

    - #### testIndexedBit

          public void testIndexedBit()
                              throws Exception

      Throws:
        `Exception`

    - #### testReadSkip

          public void testReadSkip()
                            throws IOException

      Throws:
        `IOException`

    - #### testEmptyDocs

          public void testEmptyDocs()
                             throws IOException

      Throws:
        `IOException`

    - #### testConcurrentReads

          public void testConcurrentReads()
                                   throws Exception

      Throws:
        `Exception`

    - #### testWriteReadMerge

          public void testWriteReadMerge()
                                  throws IOException

      Throws:
        `IOException`

    - #### testMergeFilterReader

          public void testMergeFilterReader()
                                     throws IOException

      Throws:
        `IOException`

    - #### testBigDocuments

          @LuceneTestCase.Nightly
          public void testBigDocuments()
                                                        throws IOException

      Throws:
        `IOException`

    - #### testBulkMergeWithDeletes

          public void testBulkMergeWithDeletes()
                                        throws IOException

      Throws:
        `IOException`

    - #### testMismatchedFields

          public void testMismatchedFields()
                                    throws Exception

      mix up field numbers, merge, and check that data is correct
      Throws:
        `Exception`

    - #### testRandomStoredFieldsWithIndexSort

          public void testRandomStoredFieldsWithIndexSort()
                                                   throws Exception

      Throws:
        `Exception`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.